Skip to content

Import Order Response from UBL XML

POST
/order-responses/import-xml

Import an order response from a raw UBL XML document. Send the XML as the raw request body with Content-Type: application/xml. Requires the order:create scope.

Order response imported successfully.

object
data
required
PeppolDocumentResource
object
id
required
string
peppol_document_type
required
PeppolDocumentType
string
Allowed values: invoice credit_note invoice_response mlr mls order order_response order_agreement despatch_advice catalogue catalogue_response punch_out unknown
name
required
string
document_type_id
required
string
process_id
required
string | null
direction
required
InvoiceDirection
string
Allowed values: incoming outgoing
document_number
required
string | null
referenced_document_number
required
string | null
referenced_invoice_id
required
string | null
referenced_peppol_document_id
required
string | null
response_code
required
string | null
sender_peppol_id
required
string | null
recipient_peppol_id
required
string | null
as4_message_id
required
string | null
ubl_json
required
array | null
status
required
string
user_id
required
string | null
amount
required
integer | null
currency
required
string | null
delivery_network_id
required
string | null
business_entity_id
required
string | null
is_test
required
boolean
ubl_version
required
string | null
raw_xml_url
required
object
metadata_json
required
string
created_at
required
string | null format: date-time
updated_at
required
string | null format: date-time
object
message
required
string
Allowed value: UBL XML payload exceeds 100 MB limit.

Empty request body or API key not associated with a company.

Any of:
object
message
required
string
Allowed value: Request body must contain UBL XML.

Failed to parse or import the UBL XML.

object
success
required
boolean
message
required
string
data
required
null
errors
required
null